#!/usr/bin/env bash

# -------------
# --- Default Parameter / Options
# -------------

default_per_IP_connection_limit=111


# -------------
# --- Default Ports for Services out
# -------------

standard_checkmk_port=6556
standard_cpan_wait_port=1404
standard_dns_port=53
standard_ftp_port=21
standard_ftp_data_port=20
standard_git_port=9418
standard_hbci_port=3000
standard_http_port=80
standard_https_port=443
standard_ident_port=113
standard_ipp_port=631
standard_cups_port=$standard_ipp_port
standard_irc_port=6667
standard_jabber_port=5222
standard_ldap_port=389
standard_ldaps_port=636
standard_mdns_port=5353
standard_mndp_port=5678
standard_mumble_port=64738
standard_munin_port=4949
standard_mysql_port=3306
standard_ntp_port=123
standard_pgp_keyserver_port=11371
standard_print_port=9100
standard_print_raw_port=515
standard_remote_console_port=5900
standard_silc_port=706
standard_smtp_port=25
standard_snmp_port=161
standard_snmp_trap_port=162
standard_ssh_port=22
standard_telnet_port=23
standard_tftp_udp_port=69
standard_timeserver_port=37
standard_vpn_port=1194
standard_wireguard_port=51820
standard_whois_port=43
standard_xymon_port=1984

# - Prometheus services
# -
standard_prometheus_ports="9100,9256"

# - Mattermost (MM) Service
# -
stansard_mattermost_udp_ports_in="8443"
stansard_mattermost_udp_ports_out="3478"

# - IPsec - Internet Security Association and
# -  Key Management Protocol
standard_isakmp_port=500
standard_ipsec_nat_t=4500


# - Comma separated lists
# -
standard_http_ports="80,443"
standard_mailuser_ports="587,465,110,995,143,993"

# - Dovecot Service
# -
dovecot_external_auth_port="44444"

# - Jitsi Video Conference Service
# -
standard_jitsi_tcp_ports="$standard_http_ports"
standard_jitsi_udp_port_range="10000:20000"
default_jitsi_dovecout_auth_port="$dovecot_external_auth_port"

# - Jibri Service
# -
default_jibri_out_port=5222
# default_outbound_streaming_tcp_ports
#
#    - outbound port 1935/TCP : outbound streaming over RTMP to most 
#      streaming providers such as YouTube Live, Vimeo or Twitch
#
#    - outbound port 1936/TCP  : outbound streaming over RTMP to LinkedIn 
#      Live (port 1935 is also used for RTMP streaming to LinkedIn)
#
#    - outbound ports 2935/TCP and 2396/TCP : outbound streaming over 
#      RTMPS to LinkedIn Live
#
#    - outbound port 443/TCP (HTTPS) : used for authentication with the 
#      built-in providers such as YouTube Live, Facebook Live, Ustream, 
#      Livestream, and Twitch
#
#    - outbound port 53/UDP (DNS) used for DNS lookups converting 
#      hostnames to IP addresses
#
default_outbound_streaming_tcp_ports="1935,1936,2935,2396"


# - TURN Server (Stun Server) (for Nextcloud 'talk' app)
# -
standard_turn_service_ports="3478:3479,5349:5350"
standard_turn_service_udp_ports="49152:65535"


# -------------
# --- Predefined Ports
# -------------

# - unpriviligierte Ports
# -
unprivports="1024:65535"


# -------------
# --- Some IPv4-Address Configuration
# -------------

# - Loopback
loopback_ipv4="127.0.0.0/8"

# - Private Networks
priv_class_a="10.0.0.0/8"
priv_class_b="172.16.0.0/12"
priv_class_c="192.168.0.0/16"

link_local_rfc_5735="169.254.0.0/16"

test_net_1_rfc_5735="192.0.2.0/24"
this_net_rfc_5735="0.0.0.0/8"

# - Multicast Addresse
class_d_multicast="224.0.0.0/3"

# Reserved Addresse
class_e_reserved="240.0.0.0/5"


# -------------
# --- Some IPv6-Address Configuration
# -------------

# unique local address (ULA) - private address block
ula_block="fc00::/7"
link_local_unicast_block="fe80::/10"
multicast_ipv6="ff00::/8"

# - Loopback
loopback_ipv6="::1/128"

